import { get } from 'svelte/store';
import { options } from './options';
const dispatchLocationChange = (mode) => {
    let type = 'popstate';
    if (mode === 'window')
        type = 'popstate';
    if (mode === 'hash')
        type = 'hashchange';
    window.dispatchEvent(new Event(type));
};
export const go = (delta = 0) => {
    history.go(delta);
    dispatchLocationChange(get(options).mode);
};
export const push = (url, state = null) => {
    history.pushState(state, '', url);
    dispatchLocationChange(get(options).mode);
};
export const replace = (url, state = null) => {
    history.replaceState(state, '', url);
    dispatchLocationChange(get(options).mode);
};
export const router = {
    go: go,
    push: push,
    replace: replace,
};
